(** File generated by coq-of-ocaml *)
Require Import CoqOfOCaml.CoqOfOCaml.
Require Import CoqOfOCaml.Settings.

Require TezosOfOCaml.Proto_alpha.Alpha_context.

Definition name : string := "arith".

Definition parse_boot_sector {A : Set} (function_parameter : A)
  : option Alpha_context.Sc_rollup.PVM.boot_sector :=
  let '_ := function_parameter in
  Some (Alpha_context.Sc_rollup.PVM.boot_sector_of_string "").

Definition pp_boot_sector {A B : Set} (_fmt : A) (function_parameter : B)
  : unit :=
  let '_ := function_parameter in
  tt.
